=== debian/changelog ===
xtv (1.1-16) unstable; urgency=medium

  * packaging updates
  * pass -std=gnu17 so compile on GCC 15 (closes: #1098174)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Sep 2025 11:36:22 +0100

xtv (1.1-15) unstable; urgency=medium

  * packaging updates, just version bumping and repo swizzling

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Mar 2018 10:09:25 +0100

xtv (1.1-14) unstable; urgency=low

  * debian/copyright GPL (closes: #718683)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Aug 2013 20:58:34 +0100

xtv (1.1-13) unstable; urgency=low

  * bump standards version (debian/control)
  * dh --parallel
  * dh 9

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Jan 2013 12:34:15 +0000

xtv (1.1-12) unstable; urgency=low

  * bump debian standards
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:42 +0000

xtv (1.1-11) unstable; urgency=low

  * rev deb policy
  * shrink/modernize debian/rules
  * update man page section, from xtv(1x) to xtv(1)
  * standard debian/README.Debian format and name
  * stop dynamic linking unnecessary libraries
  * add git repo location to debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Nov 2009 21:38:36 -0500

xtv (1.1-10) unstable; urgency=low

  * rev deb policy, dh, dependencies, copyright

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Aug 2008 12:31:37 +0100

xtv (1.1-9) unstable; urgency=low

  * rev deb policy, stop ignoring cleaning errors

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 23 Dec 2007 18:31:00 +0100

xtv (1.1-8) unstable; urgency=low

  * policy updates, broken (apart) xlibs

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Dec 2005 01:37:46 +0000

xtv (1.1-7) unstable; urgency=low

  * add README
  * policy updates

 -- Barak A. Pearlmutter <bap@debian.org>  Tue,  2 Nov 2004 20:47:19 +0000

xtv (1.1-6) unstable; urgency=low

  * Updates for new X library names and debian packaging changes (closes: #170210)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Feb 2003 21:06:47 -0700

xtv (1.1-5) unstable; urgency=low

  * Updates for new X: build dependencies, subvert xmkmf's new all::man

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun,  7 Oct 2001 14:49:03 -0600

xtv (1.1-4) unstable; urgency=low

  * New Debian maintainer.
  * Add build dependencies.
  * Update installation directories to FHS.
  * Remove Makefile from sources as it is derived.
  * Tickle things to use gcc -Wall.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun,  7 Oct 2001 13:31:31 -0600

xtv (1.1-3) unstable; urgency=low

  * Converted to use of debhelper, which properly compressed the Debian
    changelog.
  * Minor changes to text of the man page and README.

 -- Jay Kominek <jkominek@debian.org>  Mon,  9 Mar 1998 16:03:03 -0500

xtv (1.1-2) unstable; urgency=low

  * Compiled for Libc6

 -- Jay Kominek <jkominek@xtn.net>  Fri,  7 Nov 1997 23:51:34 -0500

xtv (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Jay Kominek <jkominek@xtn.net>  Tue, 16 Sep 1997 17:14:36 -0400
