=== debian/control ===
Source: xtv
Section: x11
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), xutils-dev, libxt-dev, libxaw7-dev
Vcs-Git: https://salsa.debian.org/debian/xtv.git
Vcs-Browser: https://salsa.debian.org/debian/xtv

Package: xtv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: View the screen of a remote X11 display
 View a remote X11 display in a window on your own display, in a
 continuously updating fashion.  Just like watching the remote
 display on television!
