=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_configure:
	xmkmf

override_dh_auto_build:
	dh_auto_build -- EXTRA_LIBRARIES="$(shell dpkg-buildflags --get LDFLAGS)" CFLAGS+=-std=gnu17 xtv
